PDA

View Full Version : fc17 : class-pop3.php missing from latest wordpress update



Carrot Cruncher
25th January 2013, 11:23 AM
has anyone else noticed that the class-pop3.php script is missing from the :

wordpress-3.5-1.fc17.noarch

package, causing the wp-mail.php script to fail :

PHP Warning: require_once(/usr/share/wordpress/wp-includes/class-pop3.php): failed to open stream: No such file or directory in /usr/share/wordpress/wp-mail.php on line 20
PHP Fatal error: require_once(): Failed opening required '/usr/share/wordpress/wp-includes/class-pop3.php' (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/wordpress/wp-mail.php on line 20

preventing the "Post via e-mail" function (http://codex.wordpress.org/Post_to_your_blog_using_email) from working ?

Carrot Cruncher
30th January 2013, 01:45 PM
see https://bugzilla.redhat.com/show_bug.cgi?id=905867. note i have upgraded to fc18 so the bug was raised against that.